Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.gui.border
Class BackdropBorder

    java.lang.Object
      org.monte.media.gui.border.BackdropBorder

All Implemented Interfaces:
  javax.swing.border.Border

    public class BackdropBorder

extends java.lang.Object
implements javax.swing.border.Border

BackdropBorder has a foreground border and a background border. The foreground border is drawn, when paintBorder() is invoked. The background border can be retrieved using getBackgroundBorder().

Version:
  1.0 September 24, 2006 Created.
Author:
  Werner Randelshofer

Constructor Summary
`BackdropBorder(javax.swing.border.Border backdropBorder)` Creates a new instance.
`BackdropBorder(javax.swing.border.Border foregroundBorder, javax.swing.border.Border backdropBorder)`

Method Summary
`javax.swing.border.Border` | `getBackgroundBorder()`
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)`
`boolean` | `isBorderOpaque()`
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackdropBorder

    public BackdropBorder(javax.swing.border.Border backdropBorder)

  Creates a new instance.

### BackdropBorder

    public BackdropBorder(javax.swing.border.Border foregroundBorder,
                          javax.swing.border.Border backdropBorder)

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`

### getBackgroundBorder

    public javax.swing.border.Border getBackgroundBorder()

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Specified by:
    `getBorderInsets` in interface `javax.swing.border.Border`

### isBorderOpaque

    public boolean isBorderOpaque()

  Specified by:
    `isBorderOpaque` in interface `javax.swing.border.Border`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD